# \[v1] Rune Balances

{% hint style="info" %}
We recommend switching to [\[v2\] Rune balances](https://docs.xverse.app/api/runes/runes-by-address/v2-rune-balances-mempool-aware) for real-time mempool support
{% endhint %}

## GET /v1/ordinals/address/{address}/runes

> Retrieve confirmed Runes balances held by a specific address.\<br/>\<br/>\<b>Note:\</b> The Api response includes limit & offset for future pagination extension, but\
> &#x20;at the moment query parameters are ignored and the response is always the full list.\
> So, limit equals the total items number, be sure to handle pagination as the limit can change once pagination\
> is implemented.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Ordinals"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/ordinals/address/{address}/runes":{"get":{"tags":["Ordinals","Runes"],"description":"Retrieve confirmed Runes balances held by a specific address.<br/><br/><b>Note:</b> The Api response includes limit & offset for future pagination extension, but\n at the moment query parameters are ignored and the response is always the full list.\nSo, limit equals the total items number, be sure to handle pagination as the limit can change once pagination\nis implemented.","parameters":[{"schema":{"default":0,"minimum":0,"type":"number"},"in":"query","name":"offset","required":false},{"schema":{"default":60,"minimum":25,"maximum":60,"type":"number"},"in":"query","name":"limit","required":false},{"schema":{"type":"string"},"in":"query","name":"runeId","required":false},{"schema":{"minLength":10,"default":"bc1q0egjvlcfq77cxd9kvpgppyuxckzvws46e3sxch","format":"BitcoinAddress","type":"string"},"in":"path","name":"address","required":true}],"responses":{"200":{"description":"Rune balances for all utxos belonging to the address","content":{"application/json":{"schema":{"description":"Rune balances for all utxos belonging to the address","type":"object","properties":{"limit":{"type":"number"},"offset":{"type":"number"},"total":{"type":"number"},"items":{"type":"array","items":{"type":"object","properties":{"runeName":{"type":"string"},"amount":{"type":"string"},"divisibility":{"type":"number"},"symbol":{"type":"string"},"inscriptionId":{"type":"string"},"id":{"type":"string"}},"required":["runeName","amount","id"]}},"indexerHeight":{"type":"number"}},"required":["limit","offset","total","items","indexerHeight"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```
